Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/crt_arch.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/crt_arch.h	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/crt_arch.h	(revision 342)
@@ -0,0 +1,1 @@
+#define main sta_ker
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/syscall_arch.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/syscall_arch.h	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/syscall_arch.h	(revision 342)
@@ -85,39 +85,14 @@
 
 __attribute__((visibility("hidden")))
-long __syscall(syscall_arg_t, ...);
+long __syscall_ret(unsigned long), __syscall_nr(long nr, ...);
 
-static inline long __syscall0(long n)
-{
-	return __syscall(n);
-}
+#define __syscall(n, ...) n(__VA_ARGS__)
+#define __syscall_cp(n, ...) n(__VA_ARGS__)
+#define syscall(n, ...) __syscall_ret(__syscall(n, __VA_ARGS__))
+#define syscall_cp(n, ...) __syscall_ret(__syscall_cp(n, __VA_ARGS__))
 
-static inline long __syscall1(long n, long a)
-{
-	return __syscall(n, a);
-}
-
-static inline long __syscall2(long n, long a, long b)
-{
-	return __syscall(n, a, b);
-}
-
-static inline long __syscall3(long n, long a, long b, long c)
-{
-	return __syscall(n, a, b, c);
-}
-
-static inline long __syscall4(long n, long a, long b, long c, long d)
-{
-	return __syscall(n, a, b, c, d);
-}
-
-static inline long __syscall5(long n, long a, long b, long c, long d, long e)
-{
-	return __syscall(n, a, b, c, d, e);
-}
-
-static inline long __syscall6(long n, long a, long b, long c, long d, long e, long f)
-{
-	return __syscall(n, a, b, c, d, e, f);
-}
+#define __syscall2(n, ...) n(__VA_ARGS__)
+#define __syscall3(n, ...) n(__VA_ARGS__)
+#define __syscall_cp2(n, ...) n(__VA_ARGS__)
+#define __syscall_cp3(n, ...) n(__VA_ARGS__)
 #endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/include/bits/syscall.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/include/bits/syscall.h	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/include/bits/syscall.h	(revision 342)
@@ -358,357 +358,711 @@
 #define __ARM_NR_set_tls	0x0f0005
 
-#define SYS_restart_syscall	0
-#define SYS_exit	1
-#define SYS_fork	2
-#define SYS_read	3
-#define SYS_write	4
-#define SYS_open	5
-#define SYS_close	6
-#define SYS_creat	8
-#define SYS_link	9
-#define SYS_unlink	10
-#define SYS_execve	11
-#define SYS_chdir	12
-#define SYS_mknod	14
-#define SYS_chmod	15
-#define SYS_lchown	16
-#define SYS_lseek	19
-#define SYS_getpid	20
-#define SYS_mount	21
-#define SYS_setuid	23
-#define SYS_getuid	24
-#define SYS_ptrace	26
-#define SYS_pause	29
-#define SYS_access	33
-#define SYS_nice	34
-#define SYS_sync	36
-#define SYS_kill	37
-#define SYS_rename	38
-#define SYS_mkdir	39
-#define SYS_rmdir	40
-#define SYS_dup	41
-#define SYS_pipe	42
-#define SYS_times	43
-#define SYS_brk	45
-#define SYS_setgid	46
-#define SYS_getgid	47
-#define SYS_geteuid	49
-#define SYS_getegid	50
-#define SYS_acct	51
-#define SYS_umount2	52
-#define SYS_ioctl	54
-#define SYS_fcntl	55
-#define SYS_setpgid	57
-#define SYS_umask	60
-#define SYS_chroot	61
-#define SYS_ustat	62
-#define SYS_dup2	63
-#define SYS_getppid	64
-#define SYS_getpgrp	65
-#define SYS_setsid	66
-#define SYS_sigaction	67
-#define SYS_setreuid	70
-#define SYS_setregid	71
-#define SYS_sigsuspend	72
-#define SYS_sigpending	73
-#define SYS_sethostname	74
-#define SYS_setrlimit	75
-#define SYS_getrusage	77
-#define SYS_gettimeofday	78
-#define SYS_settimeofday	79
-#define SYS_getgroups	80
-#define SYS_setgroups	81
-#define SYS_symlink	83
-#define SYS_readlink	85
-#define SYS_uselib	86
-#define SYS_swapon	87
-#define SYS_reboot	88
-#define SYS_munmap	91
-#define SYS_truncate	92
-#define SYS_ftruncate	93
-#define SYS_fchmod	94
-#define SYS_fchown	95
-#define SYS_getpriority	96
-#define SYS_setpriority	97
-#define SYS_statfs	99
-#define SYS_fstatfs	100
-#define SYS_syslog	103
-#define SYS_setitimer	104
-#define SYS_getitimer	105
-#define SYS_stat	106
-#define SYS_lstat	107
-#define SYS_fstat	108
-#define SYS_vhangup	111
-#define SYS_wait4	114
-#define SYS_swapoff	115
-#define SYS_sysinfo	116
-#define SYS_fsync	118
-#define SYS_sigreturn	119
-#define SYS_clone	120
-#define SYS_setdomainname	121
-#define SYS_uname	122
-#define SYS_adjtimex	124
-#define SYS_mprotect	125
-#define SYS_sigprocmask	126
-#define SYS_init_module	128
-#define SYS_delete_module	129
-#define SYS_quotactl	131
-#define SYS_getpgid	132
-#define SYS_fchdir	133
-#define SYS_bdflush	134
-#define SYS_sysfs	135
-#define SYS_personality	136
-#define SYS_setfsuid	138
-#define SYS_setfsgid	139
-#define SYS__llseek	140
-#define SYS_getdents	141
-#define SYS__newselect	142
-#define SYS_flock	143
-#define SYS_msync	144
-#define SYS_readv	145
-#define SYS_writev	146
-#define SYS_getsid	147
-#define SYS_fdatasync	148
-#define SYS__sysctl	149
-#define SYS_mlock	150
-#define SYS_munlock	151
-#define SYS_mlockall	152
-#define SYS_munlockall	153
-#define SYS_sched_setparam	154
-#define SYS_sched_getparam	155
-#define SYS_sched_setscheduler	156
-#define SYS_sched_getscheduler	157
-#define SYS_sched_yield	158
-#define SYS_sched_get_priority_max	159
-#define SYS_sched_get_priority_min	160
-#define SYS_sched_rr_get_interval	161
-#define SYS_nanosleep	162
-#define SYS_mremap	163
-#define SYS_setresuid	164
-#define SYS_getresuid	165
-#define SYS_poll	168
-#define SYS_nfsservctl	169
-#define SYS_setresgid	170
-#define SYS_getresgid	171
-#define SYS_prctl	172
-#define SYS_rt_sigreturn	173
-#define SYS_rt_sigaction	174
-#define SYS_rt_sigprocmask	175
-#define SYS_rt_sigpending	176
-#define SYS_rt_sigtimedwait	177
-#define SYS_rt_sigqueueinfo	178
-#define SYS_rt_sigsuspend	179
-#define SYS_pread64	180
-#define SYS_pwrite64	181
-#define SYS_chown	182
-#define SYS_getcwd	183
-#define SYS_capget	184
-#define SYS_capset	185
-#define SYS_sigaltstack	186
-#define SYS_sendfile	187
-#define SYS_vfork	190
-#define SYS_ugetrlimit	191
-#define SYS_mmap2	192
-#define SYS_truncate64	193
-#define SYS_ftruncate64	194
-#define SYS_stat64	195
-#define SYS_lstat64	196
-#define SYS_fstat64	197
-#define SYS_lchown32	198
-#define SYS_getuid32	199
-#define SYS_getgid32	200
-#define SYS_geteuid32	201
-#define SYS_getegid32	202
-#define SYS_setreuid32	203
-#define SYS_setregid32	204
-#define SYS_getgroups32	205
-#define SYS_setgroups32	206
-#define SYS_fchown32	207
-#define SYS_setresuid32	208
-#define SYS_getresuid32	209
-#define SYS_setresgid32	210
-#define SYS_getresgid32	211
-#define SYS_chown32	212
-#define SYS_setuid32	213
-#define SYS_setgid32	214
-#define SYS_setfsuid32	215
-#define SYS_setfsgid32	216
-#define SYS_getdents64	217
-#define SYS_pivot_root	218
-#define SYS_mincore	219
-#define SYS_madvise	220
-#define SYS_fcntl64	221
-#define SYS_gettid	224
-#define SYS_readahead	225
-#define SYS_setxattr	226
-#define SYS_lsetxattr	227
-#define SYS_fsetxattr	228
-#define SYS_getxattr	229
-#define SYS_lgetxattr	230
-#define SYS_fgetxattr	231
-#define SYS_listxattr	232
-#define SYS_llistxattr	233
-#define SYS_flistxattr	234
-#define SYS_removexattr	235
-#define SYS_lremovexattr	236
-#define SYS_fremovexattr	237
-#define SYS_tkill	238
-#define SYS_sendfile64	239
-#define SYS_futex	240
-#define SYS_sched_setaffinity	241
-#define SYS_sched_getaffinity	242
-#define SYS_io_setup	243
-#define SYS_io_destroy	244
-#define SYS_io_getevents	245
-#define SYS_io_submit	246
-#define SYS_io_cancel	247
-#define SYS_exit_group	248
-#define SYS_lookup_dcookie	249
-#define SYS_epoll_create	250
-#define SYS_epoll_ctl	251
-#define SYS_epoll_wait	252
-#define SYS_remap_file_pages	253
-#define SYS_set_tid_address	256
-#define SYS_timer_create	257
-#define SYS_timer_settime	258
-#define SYS_timer_gettime	259
-#define SYS_timer_getoverrun	260
-#define SYS_timer_delete	261
-#define SYS_clock_settime	262
-#define SYS_clock_gettime	263
-#define SYS_clock_getres	264
-#define SYS_clock_nanosleep	265
-#define SYS_statfs64	266
-#define SYS_fstatfs64	267
-#define SYS_tgkill	268
-#define SYS_utimes	269
-#define SYS_fadvise64_64	270
-#define SYS_pciconfig_iobase	271
-#define SYS_pciconfig_read	272
-#define SYS_pciconfig_write	273
-#define SYS_mq_open	274
-#define SYS_mq_unlink	275
-#define SYS_mq_timedsend	276
-#define SYS_mq_timedreceive	277
-#define SYS_mq_notify	278
-#define SYS_mq_getsetattr	279
-#define SYS_waitid	280
-#define SYS_socket	281
-#define SYS_bind	282
-#define SYS_connect	283
-#define SYS_listen	284
-#define SYS_accept	285
-#define SYS_getsockname	286
-#define SYS_getpeername	287
-#define SYS_socketpair	288
-#define SYS_send	289
-#define SYS_sendto	290
-#define SYS_recv	291
-#define SYS_recvfrom	292
-#define SYS_shutdown	293
-#define SYS_setsockopt	294
-#define SYS_getsockopt	295
-#define SYS_sendmsg	296
-#define SYS_recvmsg	297
-#define SYS_semop	298
-#define SYS_semget	299
-#define SYS_semctl	300
-#define SYS_msgsnd	301
-#define SYS_msgrcv	302
-#define SYS_msgget	303
-#define SYS_msgctl	304
-#define SYS_shmat	305
-#define SYS_shmdt	306
-#define SYS_shmget	307
-#define SYS_shmctl	308
-#define SYS_add_key	309
-#define SYS_request_key	310
-#define SYS_keyctl	311
-#define SYS_semtimedop	312
-#define SYS_vserver	313
-#define SYS_ioprio_set	314
-#define SYS_ioprio_get	315
-#define SYS_inotify_init	316
-#define SYS_inotify_add_watch	317
-#define SYS_inotify_rm_watch	318
-#define SYS_mbind	319
-#define SYS_get_mempolicy	320
-#define SYS_set_mempolicy	321
-#define SYS_openat	322
-#define SYS_mkdirat	323
-#define SYS_mknodat	324
-#define SYS_fchownat	325
-#define SYS_futimesat	326
-#define SYS_fstatat64	327
-#define SYS_unlinkat	328
-#define SYS_renameat	329
-#define SYS_linkat	330
-#define SYS_symlinkat	331
-#define SYS_readlinkat	332
-#define SYS_fchmodat	333
-#define SYS_faccessat	334
-#define SYS_pselect6	335
-#define SYS_ppoll	336
-#define SYS_unshare	337
-#define SYS_set_robust_list	338
-#define SYS_get_robust_list	339
-#define SYS_splice	340
-#define SYS_sync_file_range2	341
-#define SYS_tee	342
-#define SYS_vmsplice	343
-#define SYS_move_pages	344
-#define SYS_getcpu	345
-#define SYS_epoll_pwait	346
-#define SYS_kexec_load	347
-#define SYS_utimensat	348
-#define SYS_signalfd	349
-#define SYS_timerfd_create	350
-#define SYS_eventfd	351
-#define SYS_fallocate	352
-#define SYS_timerfd_settime	353
-#define SYS_timerfd_gettime	354
-#define SYS_signalfd4	355
-#define SYS_eventfd2	356
-#define SYS_epoll_create1	357
-#define SYS_dup3	358
-#define SYS_pipe2	359
-#define SYS_inotify_init1	360
-#define SYS_preadv	361
-#define SYS_pwritev	362
-#define SYS_rt_tgsigqueueinfo	363
-#define SYS_perf_event_open	364
-#define SYS_recvmmsg	365
-#define SYS_accept4	366
-#define SYS_fanotify_init	367
-#define SYS_fanotify_mark	368
-#define SYS_prlimit64	369
-#define SYS_name_to_handle_at	370
-#define SYS_open_by_handle_at	371
-#define SYS_clock_adjtime	372
-#define SYS_syncfs	373
-#define SYS_sendmmsg	374
-#define SYS_setns	375
-#define SYS_process_vm_readv	376
-#define SYS_process_vm_writev	377
-#define SYS_kcmp		378
-#define SYS_finit_module	379
-#define SYS_sched_setattr	380
-#define SYS_sched_getattr	381
-#define SYS_renameat2	382
-#define SYS_seccomp	383
-#define SYS_getrandom	384
-#define SYS_memfd_create	385
-#define SYS_bpf	386
-#define SYS_execveat	387
-#define SYS_userfaultfd	388
-#define SYS_membarrier		389
-#define SYS_mlock2		390
-#define SYS_copy_file_range	391
-#define SYS_preadv2	392
-#define SYS_pwritev2	393
-#define SYS_pkey_mprotect	394
-#define SYS_pkey_alloc	395
-#define SYS_pkey_free	396
+#define SYS_restart_syscall SYS_restart_syscall
+long SYS_restart_syscall();
+#define SYS_exit SYS_exit
+long SYS_exit();
+#define SYS_fork SYS_fork
+long SYS_fork();
+#define SYS_read SYS_read
+long SYS_read();
+#define SYS_write SYS_write
+long SYS_write();
+#define SYS_open SYS_open
+long SYS_open();
+#define SYS_close SYS_close
+long SYS_close();
+#define SYS_creat SYS_creat
+long SYS_creat();
+#define SYS_link SYS_link
+long SYS_link();
+#define SYS_unlink SYS_unlink
+long SYS_unlink();
+#define SYS_execve SYS_execve
+long SYS_execve();
+#define SYS_chdir SYS_chdir
+long SYS_chdir();
+#define SYS_mknod SYS_mknod
+long SYS_mknod();
+#define SYS_chmod SYS_chmod
+long SYS_chmod();
+#define SYS_lchown SYS_lchown
+long SYS_lchown();
+#define SYS_lseek SYS_lseek
+long SYS_lseek();
+#define SYS_getpid SYS_getpid
+long SYS_getpid();
+#define SYS_mount SYS_mount
+long SYS_mount();
+#define SYS_setuid SYS_setuid
+long SYS_setuid();
+#define SYS_getuid SYS_getuid
+long SYS_getuid();
+#define SYS_ptrace SYS_ptrace
+long SYS_ptrace();
+#define SYS_pause SYS_pause
+long SYS_pause();
+#define SYS_access SYS_access
+long SYS_access();
+#define SYS_nice SYS_nice
+long SYS_nice();
+#define SYS_sync SYS_sync
+long SYS_sync();
+#define SYS_kill SYS_kill
+long SYS_kill();
+#define SYS_rename SYS_rename
+long SYS_rename();
+#define SYS_mkdir SYS_mkdir
+long SYS_mkdir();
+#define SYS_rmdir SYS_rmdir
+long SYS_rmdir();
+#define SYS_dup SYS_dup
+long SYS_dup();
+#define SYS_pipe SYS_pipe
+long SYS_pipe();
+#define SYS_times SYS_times
+long SYS_times();
+#define SYS_brk SYS_brk
+long SYS_brk();
+#define SYS_setgid SYS_setgid
+long SYS_setgid();
+#define SYS_getgid SYS_getgid
+long SYS_getgid();
+#define SYS_geteuid SYS_geteuid
+long SYS_geteuid();
+#define SYS_getegid SYS_getegid
+long SYS_getegid();
+#define SYS_acct SYS_acct
+long SYS_acct();
+#define SYS_umount2 SYS_umount2
+long SYS_umount2();
+#define SYS_ioctl SYS_ioctl
+long SYS_ioctl();
+#define SYS_fcntl SYS_fcntl
+long SYS_fcntl();
+#define SYS_setpgid SYS_setpgid
+long SYS_setpgid();
+#define SYS_umask SYS_umask
+long SYS_umask();
+#define SYS_chroot SYS_chroot
+long SYS_chroot();
+#define SYS_ustat SYS_ustat
+long SYS_ustat();
+#define SYS_dup2 SYS_dup2
+long SYS_dup2();
+#define SYS_getppid SYS_getppid
+long SYS_getppid();
+#define SYS_getpgrp SYS_getpgrp
+long SYS_getpgrp();
+#define SYS_setsid SYS_setsid
+long SYS_setsid();
+#define SYS_sigaction SYS_sigaction
+long SYS_sigaction();
+#define SYS_setreuid SYS_setreuid
+long SYS_setreuid();
+#define SYS_setregid SYS_setregid
+long SYS_setregid();
+#define SYS_sigsuspend SYS_sigsuspend
+long SYS_sigsuspend();
+#define SYS_sigpending SYS_sigpending
+long SYS_sigpending();
+#define SYS_sethostname SYS_sethostname
+long SYS_sethostname();
+#define SYS_setrlimit SYS_setrlimit
+long SYS_setrlimit();
+#define SYS_getrusage SYS_getrusage
+long SYS_getrusage();
+#define SYS_gettimeofday SYS_gettimeofday
+long SYS_gettimeofday();
+#define SYS_settimeofday SYS_settimeofday
+long SYS_settimeofday();
+#define SYS_getgroups SYS_getgroups
+long SYS_getgroups();
+#define SYS_setgroups SYS_setgroups
+long SYS_setgroups();
+#define SYS_symlink SYS_symlink
+long SYS_symlink();
+#define SYS_readlink SYS_readlink
+long SYS_readlink();
+#define SYS_uselib SYS_uselib
+long SYS_uselib();
+#define SYS_swapon SYS_swapon
+long SYS_swapon();
+#define SYS_reboot SYS_reboot
+long SYS_reboot();
+#define SYS_munmap SYS_munmap
+long SYS_munmap();
+#define SYS_truncate SYS_truncate
+long SYS_truncate();
+#define SYS_ftruncate SYS_ftruncate
+long SYS_ftruncate();
+#define SYS_fchmod SYS_fchmod
+long SYS_fchmod();
+#define SYS_fchown SYS_fchown
+long SYS_fchown();
+#define SYS_getpriority SYS_getpriority
+long SYS_getpriority();
+#define SYS_setpriority SYS_setpriority
+long SYS_setpriority();
+#define SYS_statfs SYS_statfs
+long SYS_statfs();
+#define SYS_fstatfs SYS_fstatfs
+long SYS_fstatfs();
+#define SYS_syslog SYS_syslog
+long SYS_syslog();
+#define SYS_setitimer SYS_setitimer
+long SYS_setitimer();
+#define SYS_getitimer SYS_getitimer
+long SYS_getitimer();
+#define SYS_stat SYS_stat
+long SYS_stat();
+#define SYS_lstat SYS_lstat
+long SYS_lstat();
+#define SYS_fstat SYS_fstat
+long SYS_fstat();
+#define SYS_vhangup SYS_vhangup
+long SYS_vhangup();
+#define SYS_wait4 SYS_wait4
+long SYS_wait4();
+#define SYS_swapoff SYS_swapoff
+long SYS_swapoff();
+#define SYS_sysinfo SYS_sysinfo
+long SYS_sysinfo();
+#define SYS_fsync SYS_fsync
+long SYS_fsync();
+#define SYS_sigreturn SYS_sigreturn
+long SYS_sigreturn();
+#define SYS_clone SYS_clone
+long SYS_clone();
+#define SYS_setdomainname SYS_setdomainname
+long SYS_setdomainname();
+#define SYS_uname SYS_uname
+long SYS_uname();
+#define SYS_adjtimex SYS_adjtimex
+long SYS_adjtimex();
+#define SYS_mprotect SYS_mprotect
+long SYS_mprotect();
+#define SYS_sigprocmask SYS_sigprocmask
+long SYS_sigprocmask();
+#define SYS_init_module SYS_init_module
+long SYS_init_module();
+#define SYS_delete_module SYS_delete_module
+long SYS_delete_module();
+#define SYS_quotactl SYS_quotactl
+long SYS_quotactl();
+#define SYS_getpgid SYS_getpgid
+long SYS_getpgid();
+#define SYS_fchdir SYS_fchdir
+long SYS_fchdir();
+#define SYS_bdflush SYS_bdflush
+long SYS_bdflush();
+#define SYS_sysfs SYS_sysfs
+long SYS_sysfs();
+#define SYS_personality SYS_personality
+long SYS_personality();
+#define SYS_setfsuid SYS_setfsuid
+long SYS_setfsuid();
+#define SYS_setfsgid SYS_setfsgid
+long SYS_setfsgid();
+#define SYS__llseek SYS__llseek
+long SYS__llseek();
+#define SYS_getdents SYS_getdents
+long SYS_getdents();
+#define SYS__newselect SYS__newselect
+long SYS__newselect();
+#define SYS_flock SYS_flock
+long SYS_flock();
+#define SYS_msync SYS_msync
+long SYS_msync();
+#define SYS_readv SYS_readv
+long SYS_readv();
+#define SYS_writev SYS_writev
+long SYS_writev();
+#define SYS_getsid SYS_getsid
+long SYS_getsid();
+#define SYS_fdatasync SYS_fdatasync
+long SYS_fdatasync();
+#define SYS__sysctl SYS__sysctl
+long SYS__sysctl();
+#define SYS_mlock SYS_mlock
+long SYS_mlock();
+#define SYS_munlock SYS_munlock
+long SYS_munlock();
+#define SYS_mlockall SYS_mlockall
+long SYS_mlockall();
+#define SYS_munlockall SYS_munlockall
+long SYS_munlockall();
+#define SYS_sched_setparam SYS_sched_setparam
+long SYS_sched_setparam();
+#define SYS_sched_getparam SYS_sched_getparam
+long SYS_sched_getparam();
+#define SYS_sched_setscheduler SYS_sched_setscheduler
+long SYS_sched_setscheduler();
+#define SYS_sched_getscheduler SYS_sched_getscheduler
+long SYS_sched_getscheduler();
+#define SYS_sched_yield SYS_sched_yield
+long SYS_sched_yield();
+#define SYS_sched_get_priority_max SYS_sched_get_priority_max
+long SYS_sched_get_priority_max();
+#define SYS_sched_get_priority_min SYS_sched_get_priority_min
+long SYS_sched_get_priority_min();
+#define SYS_sched_rr_get_interval SYS_sched_rr_get_interval
+long SYS_sched_rr_get_interval();
+#define SYS_nanosleep SYS_nanosleep
+long SYS_nanosleep();
+#define SYS_mremap SYS_mremap
+long SYS_mremap();
+#define SYS_setresuid SYS_setresuid
+long SYS_setresuid();
+#define SYS_getresuid SYS_getresuid
+long SYS_getresuid();
+#define SYS_poll SYS_poll
+long SYS_poll();
+#define SYS_nfsservctl SYS_nfsservctl
+long SYS_nfsservctl();
+#define SYS_setresgid SYS_setresgid
+long SYS_setresgid();
+#define SYS_getresgid SYS_getresgid
+long SYS_getresgid();
+#define SYS_prctl SYS_prctl
+long SYS_prctl();
+#define SYS_rt_sigreturn SYS_rt_sigreturn
+long SYS_rt_sigreturn();
+#define SYS_rt_sigaction SYS_rt_sigaction
+long SYS_rt_sigaction();
+#define SYS_rt_sigprocmask SYS_rt_sigprocmask
+long SYS_rt_sigprocmask();
+#define SYS_rt_sigpending SYS_rt_sigpending
+long SYS_rt_sigpending();
+#define SYS_rt_sigtimedwait SYS_rt_sigtimedwait
+long SYS_rt_sigtimedwait();
+#define SYS_rt_sigqueueinfo SYS_rt_sigqueueinfo
+long SYS_rt_sigqueueinfo();
+#define SYS_rt_sigsuspend SYS_rt_sigsuspend
+long SYS_rt_sigsuspend();
+#define SYS_pread64 SYS_pread64
+long SYS_pread64();
+#define SYS_pwrite64 SYS_pwrite64
+long SYS_pwrite64();
+#define SYS_chown SYS_chown
+long SYS_chown();
+#define SYS_getcwd SYS_getcwd
+long SYS_getcwd();
+#define SYS_capget SYS_capget
+long SYS_capget();
+#define SYS_capset SYS_capset
+long SYS_capset();
+#define SYS_sigaltstack SYS_sigaltstack
+long SYS_sigaltstack();
+#define SYS_sendfile SYS_sendfile
+long SYS_sendfile();
+#define SYS_vfork SYS_vfork
+long SYS_vfork();
+#define SYS_ugetrlimit SYS_ugetrlimit
+long SYS_ugetrlimit();
+#define SYS_mmap2 SYS_mmap2
+long SYS_mmap2();
+#define SYS_truncate64 SYS_truncate64
+long SYS_truncate64();
+#define SYS_ftruncate64 SYS_ftruncate64
+long SYS_ftruncate64();
+#define SYS_stat64 SYS_stat64
+long SYS_stat64();
+#define SYS_lstat64 SYS_lstat64
+long SYS_lstat64();
+#define SYS_fstat64 SYS_fstat64
+long SYS_fstat64();
+#define SYS_lchown32 SYS_lchown32
+long SYS_lchown32();
+#define SYS_getuid32 SYS_getuid32
+long SYS_getuid32();
+#define SYS_getgid32 SYS_getgid32
+long SYS_getgid32();
+#define SYS_geteuid32 SYS_geteuid32
+long SYS_geteuid32();
+#define SYS_getegid32 SYS_getegid32
+long SYS_getegid32();
+#define SYS_setreuid32 SYS_setreuid32
+long SYS_setreuid32();
+#define SYS_setregid32 SYS_setregid32
+long SYS_setregid32();
+#define SYS_getgroups32 SYS_getgroups32
+long SYS_getgroups32();
+#define SYS_setgroups32 SYS_setgroups32
+long SYS_setgroups32();
+#define SYS_fchown32 SYS_fchown32
+long SYS_fchown32();
+#define SYS_setresuid32 SYS_setresuid32
+long SYS_setresuid32();
+#define SYS_getresuid32 SYS_getresuid32
+long SYS_getresuid32();
+#define SYS_setresgid32 SYS_setresgid32
+long SYS_setresgid32();
+#define SYS_getresgid32 SYS_getresgid32
+long SYS_getresgid32();
+#define SYS_chown32 SYS_chown32
+long SYS_chown32();
+#define SYS_setuid32 SYS_setuid32
+long SYS_setuid32();
+#define SYS_setgid32 SYS_setgid32
+long SYS_setgid32();
+#define SYS_setfsuid32 SYS_setfsuid32
+long SYS_setfsuid32();
+#define SYS_setfsgid32 SYS_setfsgid32
+long SYS_setfsgid32();
+#define SYS_getdents64 SYS_getdents64
+long SYS_getdents64();
+#define SYS_pivot_root SYS_pivot_root
+long SYS_pivot_root();
+#define SYS_mincore SYS_mincore
+long SYS_mincore();
+#define SYS_madvise SYS_madvise
+long SYS_madvise();
+#define SYS_fcntl64 SYS_fcntl64
+long SYS_fcntl64();
+#define SYS_gettid SYS_gettid
+long SYS_gettid();
+#define SYS_readahead SYS_readahead
+long SYS_readahead();
+#define SYS_setxattr SYS_setxattr
+long SYS_setxattr();
+#define SYS_lsetxattr SYS_lsetxattr
+long SYS_lsetxattr();
+#define SYS_fsetxattr SYS_fsetxattr
+long SYS_fsetxattr();
+#define SYS_getxattr SYS_getxattr
+long SYS_getxattr();
+#define SYS_lgetxattr SYS_lgetxattr
+long SYS_lgetxattr();
+#define SYS_fgetxattr SYS_fgetxattr
+long SYS_fgetxattr();
+#define SYS_listxattr SYS_listxattr
+long SYS_listxattr();
+#define SYS_llistxattr SYS_llistxattr
+long SYS_llistxattr();
+#define SYS_flistxattr SYS_flistxattr
+long SYS_flistxattr();
+#define SYS_removexattr SYS_removexattr
+long SYS_removexattr();
+#define SYS_lremovexattr SYS_lremovexattr
+long SYS_lremovexattr();
+#define SYS_fremovexattr SYS_fremovexattr
+long SYS_fremovexattr();
+#define SYS_tkill SYS_tkill
+long SYS_tkill();
+#define SYS_sendfile64 SYS_sendfile64
+long SYS_sendfile64();
+#define SYS_futex SYS_futex
+long SYS_futex();
+#define SYS_sched_setaffinity SYS_sched_setaffinity
+long SYS_sched_setaffinity();
+#define SYS_sched_getaffinity SYS_sched_getaffinity
+long SYS_sched_getaffinity();
+#define SYS_io_setup SYS_io_setup
+long SYS_io_setup();
+#define SYS_io_destroy SYS_io_destroy
+long SYS_io_destroy();
+#define SYS_io_getevents SYS_io_getevents
+long SYS_io_getevents();
+#define SYS_io_submit SYS_io_submit
+long SYS_io_submit();
+#define SYS_io_cancel SYS_io_cancel
+long SYS_io_cancel();
+#define SYS_exit_group SYS_exit_group
+long SYS_exit_group();
+#define SYS_lookup_dcookie SYS_lookup_dcookie
+long SYS_lookup_dcookie();
+#define SYS_epoll_create SYS_epoll_create
+long SYS_epoll_create();
+#define SYS_epoll_ctl SYS_epoll_ctl
+long SYS_epoll_ctl();
+#define SYS_epoll_wait SYS_epoll_wait
+long SYS_epoll_wait();
+#define SYS_remap_file_pages SYS_remap_file_pages
+long SYS_remap_file_pages();
+#define SYS_set_tid_address SYS_set_tid_address
+long SYS_set_tid_address();
+#define SYS_timer_create SYS_timer_create
+long SYS_timer_create();
+#define SYS_timer_settime SYS_timer_settime
+long SYS_timer_settime();
+#define SYS_timer_gettime SYS_timer_gettime
+long SYS_timer_gettime();
+#define SYS_timer_getoverrun SYS_timer_getoverrun
+long SYS_timer_getoverrun();
+#define SYS_timer_delete SYS_timer_delete
+long SYS_timer_delete();
+#define SYS_clock_settime SYS_clock_settime
+long SYS_clock_settime();
+#define SYS_clock_gettime SYS_clock_gettime
+long SYS_clock_gettime();
+#define SYS_clock_getres SYS_clock_getres
+long SYS_clock_getres();
+#define SYS_clock_nanosleep SYS_clock_nanosleep
+long SYS_clock_nanosleep();
+#define SYS_statfs64 SYS_statfs64
+long SYS_statfs64();
+#define SYS_fstatfs64 SYS_fstatfs64
+long SYS_fstatfs64();
+#define SYS_tgkill SYS_tgkill
+long SYS_tgkill();
+#define SYS_utimes SYS_utimes
+long SYS_utimes();
+#define SYS_fadvise64_64 SYS_fadvise64_64
+long SYS_fadvise64_64();
+#define SYS_pciconfig_iobase SYS_pciconfig_iobase
+long SYS_pciconfig_iobase();
+#define SYS_pciconfig_read SYS_pciconfig_read
+long SYS_pciconfig_read();
+#define SYS_pciconfig_write SYS_pciconfig_write
+long SYS_pciconfig_write();
+#define SYS_mq_open SYS_mq_open
+long SYS_mq_open();
+#define SYS_mq_unlink SYS_mq_unlink
+long SYS_mq_unlink();
+#define SYS_mq_timedsend SYS_mq_timedsend
+long SYS_mq_timedsend();
+#define SYS_mq_timedreceive SYS_mq_timedreceive
+long SYS_mq_timedreceive();
+#define SYS_mq_notify SYS_mq_notify
+long SYS_mq_notify();
+#define SYS_mq_getsetattr SYS_mq_getsetattr
+long SYS_mq_getsetattr();
+#define SYS_waitid SYS_waitid
+long SYS_waitid();
+#define SYS_socket SYS_socket
+long SYS_socket();
+#define SYS_bind SYS_bind
+long SYS_bind();
+#define SYS_connect SYS_connect
+long SYS_connect();
+#define SYS_listen SYS_listen
+long SYS_listen();
+#define SYS_accept SYS_accept
+long SYS_accept();
+#define SYS_getsockname SYS_getsockname
+long SYS_getsockname();
+#define SYS_getpeername SYS_getpeername
+long SYS_getpeername();
+#define SYS_socketpair SYS_socketpair
+long SYS_socketpair();
+#define SYS_send SYS_send
+long SYS_send();
+#define SYS_sendto SYS_sendto
+long SYS_sendto();
+#define SYS_recv SYS_recv
+long SYS_recv();
+#define SYS_recvfrom SYS_recvfrom
+long SYS_recvfrom();
+#define SYS_shutdown SYS_shutdown
+long SYS_shutdown();
+#define SYS_setsockopt SYS_setsockopt
+long SYS_setsockopt();
+#define SYS_getsockopt SYS_getsockopt
+long SYS_getsockopt();
+#define SYS_sendmsg SYS_sendmsg
+long SYS_sendmsg();
+#define SYS_recvmsg SYS_recvmsg
+long SYS_recvmsg();
+#define SYS_semop SYS_semop
+long SYS_semop();
+#define SYS_semget SYS_semget
+long SYS_semget();
+#define SYS_semctl SYS_semctl
+long SYS_semctl();
+#define SYS_msgsnd SYS_msgsnd
+long SYS_msgsnd();
+#define SYS_msgrcv SYS_msgrcv
+long SYS_msgrcv();
+#define SYS_msgget SYS_msgget
+long SYS_msgget();
+#define SYS_msgctl SYS_msgctl
+long SYS_msgctl();
+#define SYS_shmat SYS_shmat
+long SYS_shmat();
+#define SYS_shmdt SYS_shmdt
+long SYS_shmdt();
+#define SYS_shmget SYS_shmget
+long SYS_shmget();
+#define SYS_shmctl SYS_shmctl
+long SYS_shmctl();
+#define SYS_add_key SYS_add_key
+long SYS_add_key();
+#define SYS_request_key SYS_request_key
+long SYS_request_key();
+#define SYS_keyctl SYS_keyctl
+long SYS_keyctl();
+#define SYS_semtimedop SYS_semtimedop
+long SYS_semtimedop();
+#define SYS_vserver SYS_vserver
+long SYS_vserver();
+#define SYS_ioprio_set SYS_ioprio_set
+long SYS_ioprio_set();
+#define SYS_ioprio_get SYS_ioprio_get
+long SYS_ioprio_get();
+#define SYS_inotify_init SYS_inotify_init
+long SYS_inotify_init();
+#define SYS_inotify_add_watch SYS_inotify_add_watch
+long SYS_inotify_add_watch();
+#define SYS_inotify_rm_watch SYS_inotify_rm_watch
+long SYS_inotify_rm_watch();
+#define SYS_mbind SYS_mbind
+long SYS_mbind();
+#define SYS_get_mempolicy SYS_get_mempolicy
+long SYS_get_mempolicy();
+#define SYS_set_mempolicy SYS_set_mempolicy
+long SYS_set_mempolicy();
+#define SYS_openat SYS_openat
+long SYS_openat();
+#define SYS_mkdirat SYS_mkdirat
+long SYS_mkdirat();
+#define SYS_mknodat SYS_mknodat
+long SYS_mknodat();
+#define SYS_fchownat SYS_fchownat
+long SYS_fchownat();
+#define SYS_futimesat SYS_futimesat
+long SYS_futimesat();
+#define SYS_fstatat64 SYS_fstatat64
+long SYS_fstatat64();
+#define SYS_unlinkat SYS_unlinkat
+long SYS_unlinkat();
+#define SYS_renameat SYS_renameat
+long SYS_renameat();
+#define SYS_linkat SYS_linkat
+long SYS_linkat();
+#define SYS_symlinkat SYS_symlinkat
+long SYS_symlinkat();
+#define SYS_readlinkat SYS_readlinkat
+long SYS_readlinkat();
+#define SYS_fchmodat SYS_fchmodat
+long SYS_fchmodat();
+#define SYS_faccessat SYS_faccessat
+long SYS_faccessat();
+#define SYS_pselect6 SYS_pselect6
+long SYS_pselect6();
+#define SYS_ppoll SYS_ppoll
+long SYS_ppoll();
+#define SYS_unshare SYS_unshare
+long SYS_unshare();
+#define SYS_set_robust_list SYS_set_robust_list
+long SYS_set_robust_list();
+#define SYS_get_robust_list SYS_get_robust_list
+long SYS_get_robust_list();
+#define SYS_splice SYS_splice
+long SYS_splice();
+#define SYS_sync_file_range2 SYS_sync_file_range2
+long SYS_sync_file_range2();
+#define SYS_tee SYS_tee
+long SYS_tee();
+#define SYS_vmsplice SYS_vmsplice
+long SYS_vmsplice();
+#define SYS_move_pages SYS_move_pages
+long SYS_move_pages();
+#define SYS_getcpu SYS_getcpu
+long SYS_getcpu();
+#define SYS_epoll_pwait SYS_epoll_pwait
+long SYS_epoll_pwait();
+#define SYS_kexec_load SYS_kexec_load
+long SYS_kexec_load();
+#define SYS_utimensat SYS_utimensat
+long SYS_utimensat();
+#define SYS_signalfd SYS_signalfd
+long SYS_signalfd();
+#define SYS_timerfd_create SYS_timerfd_create
+long SYS_timerfd_create();
+#define SYS_eventfd SYS_eventfd
+long SYS_eventfd();
+#define SYS_fallocate SYS_fallocate
+long SYS_fallocate();
+#define SYS_timerfd_settime SYS_timerfd_settime
+long SYS_timerfd_settime();
+#define SYS_timerfd_gettime SYS_timerfd_gettime
+long SYS_timerfd_gettime();
+#define SYS_signalfd4 SYS_signalfd4
+long SYS_signalfd4();
+#define SYS_eventfd2 SYS_eventfd2
+long SYS_eventfd2();
+#define SYS_epoll_create1 SYS_epoll_create1
+long SYS_epoll_create1();
+#define SYS_dup3 SYS_dup3
+long SYS_dup3();
+#define SYS_pipe2 SYS_pipe2
+long SYS_pipe2();
+#define SYS_inotify_init1 SYS_inotify_init1
+long SYS_inotify_init1();
+#define SYS_preadv SYS_preadv
+long SYS_preadv();
+#define SYS_pwritev SYS_pwritev
+long SYS_pwritev();
+#define SYS_rt_tgsigqueueinfo SYS_rt_tgsigqueueinfo
+long SYS_rt_tgsigqueueinfo();
+#define SYS_perf_event_open SYS_perf_event_open
+long SYS_perf_event_open();
+#define SYS_recvmmsg SYS_recvmmsg
+long SYS_recvmmsg();
+#define SYS_accept4 SYS_accept4
+long SYS_accept4();
+#define SYS_fanotify_init SYS_fanotify_init
+long SYS_fanotify_init();
+#define SYS_fanotify_mark SYS_fanotify_mark
+long SYS_fanotify_mark();
+#define SYS_prlimit64 SYS_prlimit64
+long SYS_prlimit64();
+#define SYS_name_to_handle_at SYS_name_to_handle_at
+long SYS_name_to_handle_at();
+#define SYS_open_by_handle_at SYS_open_by_handle_at
+long SYS_open_by_handle_at();
+#define SYS_clock_adjtime SYS_clock_adjtime
+long SYS_clock_adjtime();
+#define SYS_syncfs SYS_syncfs
+long SYS_syncfs();
+#define SYS_sendmmsg SYS_sendmmsg
+long SYS_sendmmsg();
+#define SYS_setns SYS_setns
+long SYS_setns();
+#define SYS_process_vm_readv SYS_process_vm_readv
+long SYS_process_vm_readv();
+#define SYS_process_vm_writev SYS_process_vm_writev
+long SYS_process_vm_writev();
+#define SYS_kcmp SYS_kcmp
+long SYS_kcmp();
+#define SYS_finit_module SYS_finit_module
+long SYS_finit_module();
+#define SYS_sched_setattr SYS_sched_setattr
+long SYS_sched_setattr();
+#define SYS_sched_getattr SYS_sched_getattr
+long SYS_sched_getattr();
+#define SYS_renameat2 SYS_renameat2
+long SYS_renameat2();
+#define SYS_seccomp SYS_seccomp
+long SYS_seccomp();
+#define SYS_getrandom SYS_getrandom
+long SYS_getrandom();
+#define SYS_memfd_create SYS_memfd_create
+long SYS_memfd_create();
+#define SYS_bpf SYS_bpf
+long SYS_bpf();
+#define SYS_execveat SYS_execveat
+long SYS_execveat();
+#define SYS_userfaultfd SYS_userfaultfd
+long SYS_userfaultfd();
+#define SYS_membarrier SYS_membarrier
+long SYS_membarrier();
+#define SYS_mlock2 SYS_mlock2
+long SYS_mlock2();
+#define SYS_copy_file_range SYS_copy_file_range
+long SYS_copy_file_range();
+#define SYS_preadv2 SYS_preadv2
+long SYS_preadv2();
+#define SYS_pwritev2 SYS_pwritev2
+long SYS_pwritev2();
+#define SYS_pkey_mprotect SYS_pkey_mprotect
+long SYS_pkey_mprotect();
+#define SYS_pkey_alloc SYS_pkey_alloc
+long SYS_pkey_alloc();
+#define SYS_pkey_free SYS_pkey_free
+long SYS_pkey_free();
 
-#define SYS_set_thread_area	397
-#define SYS_get_thread_area	398
+#define SYS_set_thread_area SYS_set_thread_area
+long SYS_set_thread_area();
+#define SYS_get_thread_area SYS_get_thread_area
+long SYS_get_thread_area();
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/internal/syscall.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/internal/syscall.h	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/internal/syscall.h	(revision 342)
@@ -21,5 +21,5 @@
 typedef long syscall_arg_t;
 #endif
-
+#if 0
 __attribute__((visibility("hidden")))
 long __syscall_ret(unsigned long), __syscall(syscall_arg_t, ...),
@@ -44,5 +44,5 @@
 #endif
 #define __syscall7(n,a,b,c,d,e,f,g) (__syscall)(n,__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f),__scc(g))
-
+#endif
 #define __SYSCALL_NARGS_X(a,b,c,d,e,f,g,h,n,...) n
 #define __SYSCALL_NARGS(...) __SYSCALL_NARGS_X(__VA_ARGS__,7,6,5,4,3,2,1,0,)
@@ -50,11 +50,11 @@
 #define __SYSCALL_CONCAT(a,b) __SYSCALL_CONCAT_X(a,b)
 #define __SYSCALL_DISP(b,...) __SYSCALL_CONCAT(b,__SYSCALL_NARGS(__VA_ARGS__))(__VA_ARGS__)
-
+#if 0
 #define __syscall(...) __SYSCALL_DISP(__syscall,__VA_ARGS__)
 #define syscall(...) __syscall_ret(__syscall(__VA_ARGS__))
-
+#endif
 #define socketcall __socketcall
 #define socketcall_cp __socketcall_cp
-
+#if 0
 #define __syscall_cp0(n) (__syscall_cp)(n,0,0,0,0,0,0)
 #define __syscall_cp1(n,a) (__syscall_cp)(n,__scc(a),0,0,0,0,0)
@@ -67,4 +67,5 @@
 #define __syscall_cp(...) __SYSCALL_DISP(__syscall_cp,__VA_ARGS__)
 #define syscall_cp(...) __syscall_ret(__syscall_cp(__VA_ARGS__))
+#endif
 
 #ifndef SYSCALL_USE_SOCKETCALL
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/misc/syscall.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/misc/syscall.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/misc/syscall.c	(revision 342)
@@ -16,4 +16,4 @@
 	f=va_arg(ap, syscall_arg_t);
 	va_end(ap);
-	return __syscall_ret(__syscall(n,a,b,c,d,e,f));
+	return __syscall_ret(__syscall_nr(n,a,b,c,d,e,f));
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/__syscall_cp.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/__syscall_cp.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/__syscall_cp.c	(revision 342)
@@ -2,4 +2,5 @@
 #include "syscall.h"
 
+#undef sccp
 __attribute__((__visibility__("hidden")))
 long __syscall_cp_c();
@@ -9,9 +10,16 @@
                  syscall_arg_t x, syscall_arg_t y, syscall_arg_t z)
 {
-	return (__syscall)(nr, u, v, w, x, y, z);
+	return (__syscall_nr)(nr, u, v, w, x, y, z);
 }
 
 #ifndef __c2__
 weak_alias(sccp, __syscall_cp_c);
+#else
+long __syscall_cp_c(syscall_arg_t nr,
+	syscall_arg_t u, syscall_arg_t v, syscall_arg_t w,
+	syscall_arg_t x, syscall_arg_t y, syscall_arg_t z)
+{
+	return sccp(nr, u, v, w, x, y, z);
+}
 #endif
 
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cancel.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cancel.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cancel.c	(revision 342)
@@ -31,5 +31,5 @@
 	if ((st=(self=__pthread_self())->canceldisable)
 	    && (st==PTHREAD_CANCEL_DISABLE || nr==SYS_close))
-		return __syscall(nr, u, v, w, x, y, z);
+		return __syscall_nr(nr, u, v, w, x, y, z);
 
 	r = __syscall_cp_asm(&self->cancel, nr, u, v, w, x, y, z);
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setegid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setegid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setegid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setegid(gid_t egid)
 {
-	return __setxid(SYS_setresgid, -1, egid, -1);
+	return __setxid(__NR_setresgid, -1, egid, -1);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/seteuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/seteuid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/seteuid.c	(revision 342)
@@ -5,4 +5,4 @@
 int seteuid(uid_t euid)
 {
-	return __setxid(SYS_setresuid, -1, euid, -1);
+	return __setxid(__NR_setresuid, -1, euid, -1);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setgid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setgid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setgid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setgid(gid_t gid)
 {
-	return __setxid(SYS_setgid, gid, 0, 0);
+	return __setxid(__NR_setgid, gid, 0, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setregid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setregid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setregid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setregid(gid_t rgid, gid_t egid)
 {
-	return __setxid(SYS_setregid, rgid, egid, 0);
+	return __setxid(__NR_setregid, rgid, egid, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresgid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresgid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresgid.c	(revision 342)
@@ -6,4 +6,4 @@
 int setresgid(gid_t rgid, gid_t egid, gid_t sgid)
 {
-	return __setxid(SYS_setresgid, rgid, egid, sgid);
+	return __setxid(__NR_setresgid, rgid, egid, sgid);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresuid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresuid.c	(revision 342)
@@ -6,4 +6,4 @@
 int setresuid(uid_t ruid, uid_t euid, uid_t suid)
 {
-	return __setxid(SYS_setresuid, ruid, euid, suid);
+	return __setxid(__NR_setresuid, ruid, euid, suid);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setreuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setreuid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setreuid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setreuid(uid_t ruid, uid_t euid)
 {
-	return __setxid(SYS_setreuid, ruid, euid, 0);
+	return __setxid(__NR_setreuid, ruid, euid, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setuid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setuid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setuid(uid_t uid)
 {
-	return __setxid(SYS_setuid, uid, 0, 0);
+	return __setxid(__NR_setuid, uid, 0, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setxid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setxid.c	(revision 340)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setxid.c	(revision 342)
@@ -14,5 +14,5 @@
 	struct ctx *c = p;
 	if (c->err>0) return;
-	int ret = -__syscall(c->nr, c->id, c->eid, c->sid);
+	int ret = -__syscall_nr(c->nr, c->id, c->eid, c->sid);
 	if (ret && !c->err) {
 		/* If one thread fails to set ids after another has already
